require "import"

import "android.content.Intent"

import "android.net.Uri"

import "android.widget.*"

import "android.view.View"

import "android.content.Context"

import "android.os.Vibrator"

import "android.view.KeyEvent"

local context = activity or service

local dlg

-- Función para abrir un enlace de YouTube

local function openYouTube(url)

    local intent = Intent(Intent.ACTION_VIEW)

    intent.setData(Uri.parse(url))  -- Asegúrate de que la URL esté bien formada

    intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK)

    context.startActivity(intent)

end

-- Función para vibrar el dispositivo

local function vibrateDevice(duration)

    local vibrator = context.getSystemService(Context.VIBRATOR_SERVICE)

    if vibrator.hasVibrator() then

        vibrator.vibrate(duration)

    end

end

-- Layout de la interfaz

local layout = {

    LinearLayout,

    orientation = LinearLayout.VERTICAL,

    padding = "16dp",

    {

        Button,

        text = "Visión Digital",

        onClick = function(v)

            vibrateDevice(200)

            openYouTube("https://youtube.com/@visiondigitalaccesible?si=BrUh3E-IZOvDKAna")

            dlg.dismiss()

        end,

        layout_width = "match_parent",

        layout_height = "wrap_content",

    },

    {

        Button,

        text = "Jieshuo Absoluto",

        onClick = function(v)

            vibrateDevice(200)

            openYouTube("https://youtube.com/@jieshuoabsoluto?si=d8Dg3tUwQfCtYvbD")

            dlg.dismiss()

        end,

        layout_width = "match_parent",

        layout_height = "wrap_content",

    },

    {

        Button,

        text = "Bastón Digital",

        onClick = function(v)

            vibrateDevice(200)

            openYouTube("https://youtube.com/@bastondigital?si=HCpAhAaXeDibj4_E")

            dlg.dismiss()

        end,

        layout_width = "match_parent",

        layout_height = "wrap_content",

    },

    {

        Button,

        text = "KRH Technology",

        onClick = function(v)

            vibrateDevice(200)

            openYouTube("https://youtube.com/@krhtechnology?si=NZAL8M2Po0spGnMW")

            dlg.dismiss()

        end,

        layout_width = "match_parent",

        layout_height = "wrap_content",

    },

    {

        Button,

        text = "Mi Android Accesible",

        onClick = function(v)

            vibrateDevice(200)

            openYouTube("https://youtube.com/@miandroidaccesible?si=s9vhcG-nJlkRvZJQ")

            dlg.dismiss()

        end,

        layout_width = "match_parent",

        layout_height = "wrap_content",

    },

    {

        Button,

        text = "Tecno Locos Oficial",

        onClick = function(v)

            vibrateDevice(200)

            openYouTube("https://youtube.com/@tecnolocos-oficial?si=Kw4pXuryA1pxBsdJ")

            dlg.dismiss()

        end,

        layout_width = "match_parent",

        layout_height = "wrap_content",

    },

    {

        Button,

        text = "Tutoriales para Ciegos",

        onClick = function(v)

            vibrateDevice(200)

            openYouTube("https://youtube.com/@tutorialesparaciegos007?si=XRogYGbmbkFQw3HZ")

            dlg.dismiss()

        end,

        layout_width = "match_parent",

        layout_height = "wrap_content",

    },

    {

        Button,

        text = "Tío Giova Accesible",

        onClick = function(v)

            vibrateDevice(200)

            openYouTube("https://youtube.com/@tiogiovaaccesible81?si=M87U15oXD7jwNbHL")

            dlg.dismiss()

        end,

        layout_width = "match_parent",

        layout_height = "wrap_content",

    },

    {

        Button,

        text = "Tecno Universo Accesible",

        onClick = function(v)

            vibrateDevice(200)

            openYouTube("https://youtube.com/@tecnouniversoaccesible")

            dlg.dismiss()

        end,

        layout_width = "match_parent",

        layout_height = "wrap_content",

    },

    {

        Button,

        text = "Cerrar",

        onClick = function(v)

            vibrateDevice(200)

            dlg.dismiss()  -- Cerrar el diálogo

        end,

        layout_width = "wrap_content",

        layout_height = "wrap_content",

        layout_gravity = "center_horizontal",

    },

}

dlg = LuaDialog(context)

dlg.setTitle("Canales de YouTube Accesibles")

dlg.setView(loadlayout(layout))

dlg.show()

-- Manejo de la tecla de retroceso (BACK)

function onKeyDown(code, event)

    if code == KeyEvent.KEYCODE_BACK then

        vibrateDevice(200)

        dlg.dismiss()  -- Cerrar el diálogo al presionar la tecla BACK

        return true

    end

end
